EDIT - feature request #9515

Add DescriptionType to TaxonDescription of TaxonAssociations in ABCD import
03/05/2021 03:10 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

copied from #9512:

Probably more such descriptions are created by the ABCD import. Katja, can you please check if ABCD already sets the status? If
not create a ticket with additivity tag.

There are some other issues related to this status. | will create new tickets for them.

Open issues:

e search for a description of type "TaxonAssociation" and use this description or create a new one

Related issues:
Related to EDIT - bug #9512: Descriptions being created for individual associ... Closed
Related to EDIT - feature request #9519: Add posibilty to add IndividualAssoc... New

Associated revisions

Revision 25935ad5 - 03/18/2021 10:02 AM - Katja Luther
fix #9515: adapt Abcdlmport to Descriptiontype.IndividualAssociations

Revision b915dafb - 03/19/2021 02:05 PM - Andreas Miiller

ref #9515 adding a break in the loop as we only search for the first description being a specimen holding description

Revision 31c1b80e - 03/19/2021 02:05 PM - Andreas Miiller

ref #9515 rename state in SpecimenimportBase to individualsAssociationDescriptionPerTaxon and cleanup

Revision a9a9d9f0 - 03/19/2021 02:05 PM - Andreas Miiller

cleanup and fix compile error related to ref #9515

Revision 7¢3d49e6 - 03/31/2021 10:37 AM - Katja Luther

ref #9515: remove second call setindividualsAssociationDescriptionPerTaxon

History

#1 - 03/05/2021 03:10 PM - Katja Luther

- Related to bug #9512: Descriptions being created for individual associations in matrix should have description status "Individual association" added

#2 - 03/05/2021 03:32 PM - Andreas Miiller
- Tags set to additivity, fast

- Target version changed from Unassigned CDM tickets to Release 5.22

#3 - 03/05/2021 03:49 PM - Andreas Miiller
- Related to feature request #9519: Add posibilty to add IndividualAssociation descriptions in Facts View added

#4 - 03/09/2021 10:44 AM - Andreas Miiller

- Subject changed from Add DescriptionType to TaxonDescription of TaxonAssociations to Add DescriptionType to TaxonDescription of
TaxonAssociations in ABCD import
#5 - 03/18/2021 10:00 AM - Katja Luther

Now a description with type IndivialsAssociation is created or if already existing used to add the individual associations.

#6 - 03/18/2021 10:02 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|25935ad5dc1e7e1ef297198e5ca0148e36f25230.

#7 - 03/18/2021 10:04 AM - Katja Luther
- Category changed from cdmadapter to taxeditor
- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from normal to blocker

please review

#8 - 03/18/2021 10:13 AM - Andreas Miiller
- Category changed from taxeditor to cdmadapter

- Severity changed from blocker to normal

#9 - 03/19/2021 12:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Have you tested with a real import that it works?

#10 - 03/19/2021 01:02 PM - Andreas Miiller
- % Done changed from 50 to 70

| have renamed the method to set the description to the import state to get/setindividualsAssociationDescriptionPerTaxon to make semantics clear.
(push will come with the model update branch)

There is one thing | wonder about: in about line 1253 you call this method again. | it should be removed here and either added to the loop (before
break) or generally be put before "//PREPARE REFERENCE QUESTIONS" and called only 1x (so being removed in the if-statement with
"TaxonDescription.NewlInstance(taxon, false);" (the later is preferred as it is simpler)

Can you adapt the code accordingly (once | have pushed my changes) and run a final import test on nightly. Then we can close this ticket.

#11 - 03/31/2021 10:34 AM - Katja Luther
- Status changed from Feedback to Closed

adapted the code, tested and worked as expected.

#12 - 03/31/2021 10:36 AM - Katja Luther
- % Done changed from 70 to 100

#13 - 06/03/2021 11:25 AM - Andreas Miiller
- Tags changed from additivity, fast to additivity
